Subject: [Dime] Host-IP-Address and port

From: "Ran Arad" <[email-masked]>
Date: Tue, 30 Jan 2007 18:56:27 +0200

Good Day
 
I have mentioned a problem I had with the Address AVP type: it contains the address type (IP or IP6) and the address itself, without a port or transport type (SCTP, TLS). I considered the possibility of adding two more bytes after the address to indicate the port used. I understand that this will only work between our own implementations (unless added to the RFC), but than again, so would vendor specific AVPs. the question is: Could this cause problems with decoders which expect the address AVP to have one of two possible sizes?
 
Thank you
Ran
_______________________________________________
DiME mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/dime